import { Injectable } from "@nestjs/common";
import type { AuditLog, Prisma } from "@prisma/client";
import { BaseRepository } from "../base.repository.js";
import { PrismaService } from "../prisma.service.js";

@Injectable()
export class AuditLogRepository extends BaseRepository<
  AuditLog,
  Prisma.AuditLogUncheckedCreateInput,
  Prisma.AuditLogUncheckedUpdateInput,
  Prisma.AuditLogWhereUniqueInput,
  Prisma.AuditLogWhereInput
> {
  constructor(prisma: PrismaService) {
    super(prisma);
  }

  protected get delegate() {
    return this.prisma.auditLog;
  }
}
